Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap
Class Header

    java.lang.Object
      |
      +--org.apache.soap.Header

public class Header
extends java.lang.Object

A `Header` object represents the contents and semantics of a `<SOAP-ENV:Header>` element.

Constructor Summary
`Header()`

Method Summary
`void` | `declareNamespace(java.lang.String nsPrefix, java.lang.String namespaceURI)`
`java.lang.String` | `getAttribute(QName attrQName)`
`java.util.Vector` | `getHeaderEntries()`
`void` | `marshall(java.io.Writer sink, NSStack nsStack, XMLJavaMappingRegistry xjmr, SOAPContext ctx)`
`void` | `removeAttribute(QName attrQName)`
`void` | `setAttribute(QName attrQName, java.lang.String value)`
`void` | `setHeaderEntries(java.util.Vector headerEntries)`
`java.lang.String` | `toString()`
`static Header` | `unmarshall(Node src, SOAPContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Header

    public Header()

Method Detail

### setAttribute

    public void setAttribute(QName attrQName,
                             java.lang.String value)

### getAttribute

    public java.lang.String getAttribute(QName attrQName)

### removeAttribute

    public void removeAttribute(QName attrQName)

### declareNamespace

    public void declareNamespace(java.lang.String nsPrefix,
                                 java.lang.String namespaceURI)

### setHeaderEntries

    public void setHeaderEntries(java.util.Vector headerEntries)

### getHeaderEntries

    public java.util.Vector getHeaderEntries()

### marshall

    public void marshall(java.io.Writer sink,
    NSStack nsStack,
    XMLJavaMappingRegistry xjmr,
    SOAPContext ctx)
                  throws java.lang.IllegalArgumentException,
                         java.io.IOException

    `java.lang.IllegalArgumentException`
    `java.io.IOException`

### unmarshall

    public static Header unmarshall(Node src,
    SOAPContext ctx)
                             throws java.lang.IllegalArgumentException

    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.